Package org.eclipse.emf.cdo.explorer

# Interface CDOExplorerElement

All Superinterfaces:
  `Adapter`, `Comparable<CDOExplorerElement>`, `IAdaptable`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `CDOCheckout`, `CDORepository`

public interface CDOExplorerElement extends org.eclipse.net4j.util.event.INotifier, IAdaptable, Adapter, Comparable<CDOExplorerElement>
A common base interface for `repositories` and `checkouts`.

Since:
  4.4
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOExplorerElement.StateChangedEvent`
An `event` fired from `explorer elements` when their state has changed.

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_DESCRIPTION`
`static final String`
`PROP_KEYWORDS`
`static final String`
`PROP_LABEL`
`static final String`
`PROP_TYPE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addKeyword(String keyword)`
`void`
`delete(boolean deleteContents)`
`String`
`getDescription()`
`String`
`getError()`
`File`
`getFolder()`
`String`
`getID()`
`Set<String>`
`getKeywords()`
`String`
`getLabel()`
`Properties`
`getProperties()`
`File`
`getStateFolder(String path)`
`File`
`getStateFolder(String path, boolean createOnDemand)`
`org.eclipse.net4j.util.registry.IRegistry<String,Object>`
`getTransientProperties()`
`String`
`getType()`
`boolean`
`hasKeyword(String keyword)`
`boolean`
`removeKeyword(String keyword)`
`void`
`setDescription(String description)`
`boolean`
`setKeywords(Set<String> keywords)`
`void`
`setLabel(String label)`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### PROP_TYPE

static final String PROP_TYPE

Since:
  4.15
See Also:
  - Constant Field Values

### PROP_LABEL

static final String PROP_LABEL

Since:
  4.15
See Also:
  - Constant Field Values

### PROP_DESCRIPTION

static final String PROP_DESCRIPTION

Since:
  4.15
See Also:
  - Constant Field Values

### PROP_KEYWORDS

static final String PROP_KEYWORDS

Since:
  4.15
See Also:
  - Constant Field Values

## Method Details

### getID

String getID()

### getType

String getType()

### getLabel

String getLabel()

### setLabel

void setLabel(String label)

### getDescription

String getDescription()

### setDescription

void setDescription(String description)

### hasKeyword

boolean hasKeyword(String keyword)

Since:
  4.13

### getKeywords

Set<String> getKeywords()

Since:
  4.13

### setKeywords

boolean setKeywords(Set<String> keywords)

Since:
  4.13

### addKeyword

boolean addKeyword(String keyword)

Since:
  4.13

### removeKeyword

boolean removeKeyword(String keyword)

Since:
  4.13

### getError

String getError()

Since:
  4.11

### getFolder

File getFolder()

Since:
  4.8

### getStateFolder

File getStateFolder(String path)

Since:
  4.5

### getStateFolder

File getStateFolder(String path, boolean createOnDemand)

Since:
  4.7

### getProperties

Properties getProperties()

Since:
  4.7

### getTransientProperties

org.eclipse.net4j.util.registry.IRegistry<String,Object> getTransientProperties()

Since:
  4.13

### delete

void delete(boolean deleteContents)